# Uses of Interface
org.eclipse.draw2d.Border

Packages that use Border
Package
Description
org.eclipse.draw2d
Primary package containing general interfaces and implementation classes.
org.eclipse.draw2d.text
Figures and support classes related to the layout and rendering of rich text.

## Uses of Border in org.eclipse.draw2d

Subinterfaces of Border in org.eclipse.draw2d
Modifier and Type
Interface
Description
`interface`
`LabeledBorder`
LabeledBorders have a text message somewhere on them.
Classes in org.eclipse.draw2d that implement Border
Modifier and Type
Class
Description
`class`
`AbstractBackground`
A special border which can paint both underneath and on top of a Figure.
`class`
`AbstractBorder`
Provides generic support for borders.
`class`
`AbstractLabeledBorder`
Provides support for a border with a label describing the contents of which it is surrounding.
`class`
`ButtonBorder`
Creates a border for a clickable type of figure, which works in conjunction with the Figure and its model.
`class`
`CompoundBorder`
CompoundBorder allows for the nesting of two borders.
`class`
`FocusBorder`
A Border that looks like the system's focus rectangle.
`class`
`FrameBorder`
Provides for a frame-like border which contains a title bar for holding the title of a Figure.
`class`
`GroupBoxBorder`
A labeled border intended to house a Figure with a group of children.
`class`
`LineBorder`
Provides for a line border with sides of equal widths.
`class`
`MarginBorder`
A border that provides blank padding.
`class`
`SchemeBorder`
SchemeBorder allows the creation of borders based on `Schemes`.
`final class`
`SimpleEtchedBorder`
Provides a two pixel wide constant sized border, having an etched look.
`final class`
`SimpleLoweredBorder`
Provides a lowered border.
`class`
`SimpleRaisedBorder`
Provides a raised border.
`class`
`TitleBarBorder`
Border provides a title bar on the Figure for which this is the border of.
Fields in org.eclipse.draw2d declared as Border
Modifier and Type
Field
Description
`protected Border`
Figure.`border`
Deprecated.
access using `Figure.getBorder()`
`static final Border`
ButtonBorder.`BUTTON`
Default button border.
`static final Border`
ButtonBorder.`BUTTON_CONTRAST`
Inverted highlight colors from BUTTON.
`static final Border`
ButtonBorder.`BUTTON_SCROLLBAR`
Used for scrollbar buttons.
`protected Border`
CompoundBorder.`inner`
The inner Border.
`protected Border`
CompoundBorder.`outer`
The outer Border.
`static final Border`
SimpleEtchedBorder.`singleton`
The singleton instance of this class
`static final Border`
ButtonBorder.`TOOLBAR`
Used for toolbar buttons.
Methods in org.eclipse.draw2d that return Border
Modifier and Type
Method
Description
`Border`
Figure.`getBorder()`
`Border`
IFigure.`getBorder()`
Returns the current border by reference.
`Border`
CompoundBorder.`getInnerBorder()`
Returns the inner border of this CompoundBorder.
`Border`
CompoundBorder.`getOuterBorder()`
Returns the outer border of this CompoundBorder.
Methods in org.eclipse.draw2d with parameters of type Border
Modifier and Type
Method
Description
`void`
Figure.`setBorder(Border border)`
`void`
FigureCanvas.`setBorder(Border border)`
Sets the given border on the LightweightSystem's root figure.
`void`
IFigure.`setBorder(Border b)`
Sets the border.
Constructors in org.eclipse.draw2d with parameters of type Border
Modifier
Constructor
Description
``
`CompoundBorder(Border outer, Border inner)`
Constructs a CompoundBorder with the two borders specified as input.
``
`LabeledContainer(Border border)`
Constructs a labeled container with the border given as input.

## Uses of Border in org.eclipse.draw2d.text

Subinterfaces of Border in org.eclipse.draw2d.text
Modifier and Type
Interface
Description
`interface`
`FlowBorder`
Experimental API.
Classes in org.eclipse.draw2d.text that implement Border
Modifier and Type
Class
Description
`class`
`AbstractFlowBorder`
A basis for implementing `FlowBorder`.
Methods in org.eclipse.draw2d.text with parameters of type Border
Modifier and Type
Method
Description
`void`
InlineFlow.`setBorder(Border border)`
Overridden to assert that only `FlowBorder` is used.